PROJECTNAME = 'SQLPASPlugin'
GLOBALS = globals()

USERS_TABLE = "users"
USERS_COL_USERNAME = 'username'
USERS_COL_PASSWORD = 'password'

ROLES_TABLE = 'roles'
ROLES_COL_USERNAME = 'username'
ROLES_COL_ROLENAME = 'rolename'

USERMANAGER_ID = 'source_users'
PROPERTYPROVIDER_ID = 'source_properties'

# The COLUMNS are currently only used for the automated tests.
# Changing these values has no effect whatsoever.
COLUMNS = (
    (USERS_COL_USERNAME, 'varchar', 12, 'primary key'),
    (USERS_COL_PASSWORD, 'varchar', 12, ''),
    ('firstname', 'varchar', 20, ''),
    ('lastname', 'varchar', 20, ''),
    ('email', 'varchar', 50, ''),
    ('date_created', 'datetime', None, ''),
    ('date_updated', 'datetime', None, ''),
)

# At this moment, the possible values for TESTING_DB are, "sqlite" and "postgresql"
#TESTING_DB = 'postgresql'
#TESTING_DB_EXTRA = "dbname=pas_test user=zope password=zope host=localhost"
TESTING_DB = "sqlite"
TESTING_DB_EXTRA = ''
